package main

import (
	"fmt"
	"strings"

	"git.milar.in/nyaanime/logic"
)

func FilePrio2Str(fp *logic.FilePriority) string {
	return fmt.Sprintf("priority: %d | resolution: %s | languages: %s | subtitles: %s",
		fp.Priority,
		fp.Properties.GetResolution().String(),
		strings.Join(fp.Properties.GetLanguages(), ", "),
		strings.Join(fp.Properties.GetSubtitles(), ", "),
	)
}
